Sha256: 3505b49a592f4bf2dd7ccc1f44ac3f269456da8ba73248badcef270d3287c8be

Contents?: true

Size: 390 Bytes

Versions: 3

Compression:

Stored size: 390 Bytes

Contents

#!/usr/bin/env bash

set -e

_webtrap_has_gem () {
  type gem > /dev/null 2>&1
}

_webtrap_deploy () {
  if ! _webtrap_has_gem; then
    echo '* Compatible Ruby environment not found' >&2
    echo 'WebTrap Setup error: this project requires a compatible Ruby environment.' >&2
    exit 1
  fi

  gem push "$(gem build webtrap.gemspec | grep "File:" | cut -d\  -f4)"
}

_webtrap_deploy "$@"

Version data entries

3 entries across 3 versions & 1 rubygems

Version Path
webtrap-0.1.1 bin/deploy
webtrap-0.1.0 bin/deploy
webtrap-0.0.1 bin/deploy